# Stock Picking Group By Base

Technical module in order to add a database index for picking grouping modules.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Further modules need to implement this on stock.picking model:

    def init(self):
          """
          This has to be called in every overriding module
          """
          self._create_index_for_grouping()

    @api.model
    def _get_index_for_grouping_fields(self):
          """
          This tuple is intended to be overriden in order to add fields
          used in groupings
          """
          return [
              "partner_id",
              "location_id",
              "location_dest_id",
              "picking_type_id",
          ]

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Denis Roussel <denis.roussel@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/stock-logistics-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.